package com.itheima.po;

// 导入用于处理 JSON 注解的类
import com.fasterxml.jackson.annotation.JsonIgnore;

// 表示管理员实体的类
public class Admin {
    // 管理员ID（主键）
    private Integer a_id;
    // 管理员用户名
    private String a_username;

    // 管理员密码（使用 @JsonIgnore 注解，JSON 序列化时忽略该字段）
    @JsonIgnore
    private String a_password;

    // 管理员姓名
    private String a_name;
    // 管理员电话号码
    private Integer a_phone;

    // 管理员权限级别（使用 @JsonIgnore 注解，JSON 序列化时忽略该字段）
    @JsonIgnore
    private Integer a_power;

    // 管理员描述或备注信息
    private String a_describe;

    // 获取管理员ID的方法
    public Integer getA_id() {
        return a_id;
    }

    // 设置管理员ID的方法
    public void setA_id(Integer a_id) {
        this.a_id = a_id;
    }

    // 获取管理员用户名的方法
    public String getA_username() {
        return a_username;
    }

    // 设置管理员用户名的方法
    public void setA_username(String a_username) {
        this.a_username = a_username;
    }

    // 获取管理员密码的方法
    public String getA_password() {
        return a_password;
    }

    // 设置管理员密码的方法
    public void setA_password(String a_password) {
        this.a_password = a_password;
    }

    // 获取管理员姓名的方法
    public String getA_name() {
        return a_name;
    }

    // 设置管理员姓名的方法
    public void setA_name(String a_name) {
        this.a_name = a_name;
    }

    // 获取管理员电话号码的方法
    public Integer getA_phone() {
        return a_phone;
    }

    // 设置管理员电话号码的方法
    public void setA_phone(Integer a_phone) {
        this.a_phone = a_phone;
    }

    // 获取管理员权限级别的方法
    public Integer getA_power() {
        return a_power;
    }

    // 设置管理员权限级别的方法
    public void setA_power(Integer a_power) {
        this.a_power = a_power;
    }

    // 获取管理员描述信息的方法
    public String getA_describe() {
        return a_describe;
    }

    // 设置管理员描述信息的方法
    public void setA_describe(String a_describe) {
        this.a_describe = a_describe;
    }
}
